XSL Transformer
curl --request POST \
--url https://api.iotools.cloud/v1/tool/xsl-transformer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"xmlSource": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<catalog>\n <book id=\"bk101\"><title>XML Developer's Guide</title><author>Gambardella, Matthew</author><price>44.95</price></book>\n <book id=\"bk102\"><title>Midnight Rain</title><author>Ralls, Kim</author><price>5.95</price></book>\n <book id=\"bk103\"><title>Maeve Ascendant</title><author>Corets, Eva</author><price>12.50</price></book>\n</catalog>",
"xslSource": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<xsl:stylesheet version=\"1.0\" xmlns:xsl=\"http://www.w3.org/1999/XSL/Transform\">\n <xsl:output method=\"html\"/>\n <xsl:template match=\"/\">\n <ul>\n <xsl:for-each select=\"catalog/book\">\n <xsl:sort select=\"price\" data-type=\"number\"/>\n <li><xsl:value-of select=\"title\"/> — $<xsl:value-of select=\"price\"/></li>\n </xsl:for-each>\n </ul>\n </xsl:template>\n</xsl:stylesheet>"
}
EOFimport requests
url = "https://api.iotools.cloud/v1/tool/xsl-transformer"
payload = {
"xmlSource": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>
<catalog>
<book id=\"bk101\"><title>XML Developer's Guide</title><author>Gambardella, Matthew</author><price>44.95</price></book>
<book id=\"bk102\"><title>Midnight Rain</title><author>Ralls, Kim</author><price>5.95</price></book>
<book id=\"bk103\"><title>Maeve Ascendant</title><author>Corets, Eva</author><price>12.50</price></book>
</catalog>",
"xslSource": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>
<xsl:stylesheet version=\"1.0\" xmlns:xsl=\"http://www.w3.org/1999/XSL/Transform\">
<xsl:output method=\"html\"/>
<xsl:template match=\"/\">
<ul>
<xsl:for-each select=\"catalog/book\">
<xsl:sort select=\"price\" data-type=\"number\"/>
<li><xsl:value-of select=\"title\"/> — $<xsl:value-of select=\"price\"/></li>
</xsl:for-each>
</ul>
</xsl:template>
</xsl:stylesheet>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
xmlSource: '<?xml version="1.0" encoding="UTF-8"?>\n<catalog>\n <book id="bk101"><title>XML Developer\'s Guide</title><author>Gambardella, Matthew</author><price>44.95</price></book>\n <book id="bk102"><title>Midnight Rain</title><author>Ralls, Kim</author><price>5.95</price></book>\n <book id="bk103"><title>Maeve Ascendant</title><author>Corets, Eva</author><price>12.50</price></book>\n</catalog>',
xslSource: '<?xml version="1.0" encoding="UTF-8"?>\n<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">\n <xsl:output method="html"/>\n <xsl:template match="/">\n <ul>\n <xsl:for-each select="catalog/book">\n <xsl:sort select="price" data-type="number"/>\n <li><xsl:value-of select="title"/> — $<xsl:value-of select="price"/></li>\n </xsl:for-each>\n </ul>\n </xsl:template>\n</xsl:stylesheet>'
})
};
fetch('https://api.iotools.cloud/v1/tool/xsl-transformer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.iotools.cloud/v1/tool/xsl-transformer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'xmlSource' => '<?xml version="1.0" encoding="UTF-8"?>
<catalog>
<book id="bk101"><title>XML Developer\'s Guide</title><author>Gambardella, Matthew</author><price>44.95</price></book>
<book id="bk102"><title>Midnight Rain</title><author>Ralls, Kim</author><price>5.95</price></book>
<book id="bk103"><title>Maeve Ascendant</title><author>Corets, Eva</author><price>12.50</price></book>
</catalog>',
'xslSource' => '<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>
<xsl:template match="/">
<ul>
<xsl:for-each select="catalog/book">
<xsl:sort select="price" data-type="number"/>
<li><xsl:value-of select="title"/> — $<xsl:value-of select="price"/></li>
</xsl:for-each>
</ul>
</xsl:template>
</xsl:stylesheet>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.iotools.cloud/v1/tool/xsl-transformer"
payload := strings.NewReader("{\n \"xmlSource\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\"?>\\n<catalog>\\n <book id=\\\"bk101\\\"><title>XML Developer's Guide</title><author>Gambardella, Matthew</author><price>44.95</price></book>\\n <book id=\\\"bk102\\\"><title>Midnight Rain</title><author>Ralls, Kim</author><price>5.95</price></book>\\n <book id=\\\"bk103\\\"><title>Maeve Ascendant</title><author>Corets, Eva</author><price>12.50</price></book>\\n</catalog>\",\n \"xslSource\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\"?>\\n<xsl:stylesheet version=\\\"1.0\\\" xmlns:xsl=\\\"http://www.w3.org/1999/XSL/Transform\\\">\\n <xsl:output method=\\\"html\\\"/>\\n <xsl:template match=\\\"/\\\">\\n <ul>\\n <xsl:for-each select=\\\"catalog/book\\\">\\n <xsl:sort select=\\\"price\\\" data-type=\\\"number\\\"/>\\n <li><xsl:value-of select=\\\"title\\\"/> — $<xsl:value-of select=\\\"price\\\"/></li>\\n </xsl:for-each>\\n </ul>\\n </xsl:template>\\n</xsl:stylesheet>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.iotools.cloud/v1/tool/xsl-transformer")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"xmlSource\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\"?>\\n<catalog>\\n <book id=\\\"bk101\\\"><title>XML Developer's Guide</title><author>Gambardella, Matthew</author><price>44.95</price></book>\\n <book id=\\\"bk102\\\"><title>Midnight Rain</title><author>Ralls, Kim</author><price>5.95</price></book>\\n <book id=\\\"bk103\\\"><title>Maeve Ascendant</title><author>Corets, Eva</author><price>12.50</price></book>\\n</catalog>\",\n \"xslSource\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\"?>\\n<xsl:stylesheet version=\\\"1.0\\\" xmlns:xsl=\\\"http://www.w3.org/1999/XSL/Transform\\\">\\n <xsl:output method=\\\"html\\\"/>\\n <xsl:template match=\\\"/\\\">\\n <ul>\\n <xsl:for-each select=\\\"catalog/book\\\">\\n <xsl:sort select=\\\"price\\\" data-type=\\\"number\\\"/>\\n <li><xsl:value-of select=\\\"title\\\"/> — $<xsl:value-of select=\\\"price\\\"/></li>\\n </xsl:for-each>\\n </ul>\\n </xsl:template>\\n</xsl:stylesheet>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.iotools.cloud/v1/tool/xsl-transformer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"xmlSource\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\"?>\\n<catalog>\\n <book id=\\\"bk101\\\"><title>XML Developer's Guide</title><author>Gambardella, Matthew</author><price>44.95</price></book>\\n <book id=\\\"bk102\\\"><title>Midnight Rain</title><author>Ralls, Kim</author><price>5.95</price></book>\\n <book id=\\\"bk103\\\"><title>Maeve Ascendant</title><author>Corets, Eva</author><price>12.50</price></book>\\n</catalog>\",\n \"xslSource\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\"?>\\n<xsl:stylesheet version=\\\"1.0\\\" xmlns:xsl=\\\"http://www.w3.org/1999/XSL/Transform\\\">\\n <xsl:output method=\\\"html\\\"/>\\n <xsl:template match=\\\"/\\\">\\n <ul>\\n <xsl:for-each select=\\\"catalog/book\\\">\\n <xsl:sort select=\\\"price\\\" data-type=\\\"number\\\"/>\\n <li><xsl:value-of select=\\\"title\\\"/> — $<xsl:value-of select=\\\"price\\\"/></li>\\n </xsl:for-each>\\n </ul>\\n </xsl:template>\\n</xsl:stylesheet>\"\n}"
response = http.request(request)
puts response.read_body{
"tool": "xsl-transformer",
"tool_version": "1.0.2",
"outputs": {
"output": "<ul><li>Midnight Rain — $5.95</li><li>Maeve Ascendant — $12.50</li><li>XML Developer's Guide — $44.95</li></ul>"
},
"credits_used": 5,
"credits_remaining": null
}Formatters
XSL Transformer API
Apply an XSLT 1.0 stylesheet to an XML document and get the transformed output (XML, HTML or text). Runs in your browser; supports templates, for-each, sort, choose and more.
POST
/
v1
/
tool
/
xsl-transformer
XSL Transformer
curl --request POST \
--url https://api.iotools.cloud/v1/tool/xsl-transformer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"xmlSource": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<catalog>\n <book id=\"bk101\"><title>XML Developer's Guide</title><author>Gambardella, Matthew</author><price>44.95</price></book>\n <book id=\"bk102\"><title>Midnight Rain</title><author>Ralls, Kim</author><price>5.95</price></book>\n <book id=\"bk103\"><title>Maeve Ascendant</title><author>Corets, Eva</author><price>12.50</price></book>\n</catalog>",
"xslSource": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<xsl:stylesheet version=\"1.0\" xmlns:xsl=\"http://www.w3.org/1999/XSL/Transform\">\n <xsl:output method=\"html\"/>\n <xsl:template match=\"/\">\n <ul>\n <xsl:for-each select=\"catalog/book\">\n <xsl:sort select=\"price\" data-type=\"number\"/>\n <li><xsl:value-of select=\"title\"/> — $<xsl:value-of select=\"price\"/></li>\n </xsl:for-each>\n </ul>\n </xsl:template>\n</xsl:stylesheet>"
}
EOFimport requests
url = "https://api.iotools.cloud/v1/tool/xsl-transformer"
payload = {
"xmlSource": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>
<catalog>
<book id=\"bk101\"><title>XML Developer's Guide</title><author>Gambardella, Matthew</author><price>44.95</price></book>
<book id=\"bk102\"><title>Midnight Rain</title><author>Ralls, Kim</author><price>5.95</price></book>
<book id=\"bk103\"><title>Maeve Ascendant</title><author>Corets, Eva</author><price>12.50</price></book>
</catalog>",
"xslSource": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>
<xsl:stylesheet version=\"1.0\" xmlns:xsl=\"http://www.w3.org/1999/XSL/Transform\">
<xsl:output method=\"html\"/>
<xsl:template match=\"/\">
<ul>
<xsl:for-each select=\"catalog/book\">
<xsl:sort select=\"price\" data-type=\"number\"/>
<li><xsl:value-of select=\"title\"/> — $<xsl:value-of select=\"price\"/></li>
</xsl:for-each>
</ul>
</xsl:template>
</xsl:stylesheet>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
xmlSource: '<?xml version="1.0" encoding="UTF-8"?>\n<catalog>\n <book id="bk101"><title>XML Developer\'s Guide</title><author>Gambardella, Matthew</author><price>44.95</price></book>\n <book id="bk102"><title>Midnight Rain</title><author>Ralls, Kim</author><price>5.95</price></book>\n <book id="bk103"><title>Maeve Ascendant</title><author>Corets, Eva</author><price>12.50</price></book>\n</catalog>',
xslSource: '<?xml version="1.0" encoding="UTF-8"?>\n<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">\n <xsl:output method="html"/>\n <xsl:template match="/">\n <ul>\n <xsl:for-each select="catalog/book">\n <xsl:sort select="price" data-type="number"/>\n <li><xsl:value-of select="title"/> — $<xsl:value-of select="price"/></li>\n </xsl:for-each>\n </ul>\n </xsl:template>\n</xsl:stylesheet>'
})
};
fetch('https://api.iotools.cloud/v1/tool/xsl-transformer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.iotools.cloud/v1/tool/xsl-transformer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'xmlSource' => '<?xml version="1.0" encoding="UTF-8"?>
<catalog>
<book id="bk101"><title>XML Developer\'s Guide</title><author>Gambardella, Matthew</author><price>44.95</price></book>
<book id="bk102"><title>Midnight Rain</title><author>Ralls, Kim</author><price>5.95</price></book>
<book id="bk103"><title>Maeve Ascendant</title><author>Corets, Eva</author><price>12.50</price></book>
</catalog>',
'xslSource' => '<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>
<xsl:template match="/">
<ul>
<xsl:for-each select="catalog/book">
<xsl:sort select="price" data-type="number"/>
<li><xsl:value-of select="title"/> — $<xsl:value-of select="price"/></li>
</xsl:for-each>
</ul>
</xsl:template>
</xsl:stylesheet>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.iotools.cloud/v1/tool/xsl-transformer"
payload := strings.NewReader("{\n \"xmlSource\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\"?>\\n<catalog>\\n <book id=\\\"bk101\\\"><title>XML Developer's Guide</title><author>Gambardella, Matthew</author><price>44.95</price></book>\\n <book id=\\\"bk102\\\"><title>Midnight Rain</title><author>Ralls, Kim</author><price>5.95</price></book>\\n <book id=\\\"bk103\\\"><title>Maeve Ascendant</title><author>Corets, Eva</author><price>12.50</price></book>\\n</catalog>\",\n \"xslSource\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\"?>\\n<xsl:stylesheet version=\\\"1.0\\\" xmlns:xsl=\\\"http://www.w3.org/1999/XSL/Transform\\\">\\n <xsl:output method=\\\"html\\\"/>\\n <xsl:template match=\\\"/\\\">\\n <ul>\\n <xsl:for-each select=\\\"catalog/book\\\">\\n <xsl:sort select=\\\"price\\\" data-type=\\\"number\\\"/>\\n <li><xsl:value-of select=\\\"title\\\"/> — $<xsl:value-of select=\\\"price\\\"/></li>\\n </xsl:for-each>\\n </ul>\\n </xsl:template>\\n</xsl:stylesheet>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.iotools.cloud/v1/tool/xsl-transformer")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"xmlSource\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\"?>\\n<catalog>\\n <book id=\\\"bk101\\\"><title>XML Developer's Guide</title><author>Gambardella, Matthew</author><price>44.95</price></book>\\n <book id=\\\"bk102\\\"><title>Midnight Rain</title><author>Ralls, Kim</author><price>5.95</price></book>\\n <book id=\\\"bk103\\\"><title>Maeve Ascendant</title><author>Corets, Eva</author><price>12.50</price></book>\\n</catalog>\",\n \"xslSource\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\"?>\\n<xsl:stylesheet version=\\\"1.0\\\" xmlns:xsl=\\\"http://www.w3.org/1999/XSL/Transform\\\">\\n <xsl:output method=\\\"html\\\"/>\\n <xsl:template match=\\\"/\\\">\\n <ul>\\n <xsl:for-each select=\\\"catalog/book\\\">\\n <xsl:sort select=\\\"price\\\" data-type=\\\"number\\\"/>\\n <li><xsl:value-of select=\\\"title\\\"/> — $<xsl:value-of select=\\\"price\\\"/></li>\\n </xsl:for-each>\\n </ul>\\n </xsl:template>\\n</xsl:stylesheet>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.iotools.cloud/v1/tool/xsl-transformer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"xmlSource\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\"?>\\n<catalog>\\n <book id=\\\"bk101\\\"><title>XML Developer's Guide</title><author>Gambardella, Matthew</author><price>44.95</price></book>\\n <book id=\\\"bk102\\\"><title>Midnight Rain</title><author>Ralls, Kim</author><price>5.95</price></book>\\n <book id=\\\"bk103\\\"><title>Maeve Ascendant</title><author>Corets, Eva</author><price>12.50</price></book>\\n</catalog>\",\n \"xslSource\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\"?>\\n<xsl:stylesheet version=\\\"1.0\\\" xmlns:xsl=\\\"http://www.w3.org/1999/XSL/Transform\\\">\\n <xsl:output method=\\\"html\\\"/>\\n <xsl:template match=\\\"/\\\">\\n <ul>\\n <xsl:for-each select=\\\"catalog/book\\\">\\n <xsl:sort select=\\\"price\\\" data-type=\\\"number\\\"/>\\n <li><xsl:value-of select=\\\"title\\\"/> — $<xsl:value-of select=\\\"price\\\"/></li>\\n </xsl:for-each>\\n </ul>\\n </xsl:template>\\n</xsl:stylesheet>\"\n}"
response = http.request(request)
puts response.read_body{
"tool": "xsl-transformer",
"tool_version": "1.0.2",
"outputs": {
"output": "<ul><li>Midnight Rain — $5.95</li><li>Maeve Ascendant — $12.50</li><li>XML Developer's Guide — $44.95</li></ul>"
},
"credits_used": 5,
"credits_remaining": null
}Authorizations
Response
Tool output
Was this page helpful?